Returns full product details including variants, options, and categories.
cURL
curl --request GET \ --url https://api.pandabase.io/v2/storefront/stores/{storeId}/products/{productId}
{ "ok": true, "data": { "id": "<string>", "title": "<string>", "handle": "<string>", "price": 123, "images": [ "<string>" ], "inStock": true, "currency": "<string>", "productType": "SERIAL", "pricingModel": "STANDARD", "status": "ACTIVE", "options": [ { "id": "<string>", "name": "<string>", "values": [ "<string>" ], "position": 123 } ], "variants": [ { "id": "<string>", "title": "<string>", "options": {}, "price": 123, "images": [ "<string>" ], "inStock": true, "trackStock": true, "position": 123, "slug": "<string>", "description": "<string>", "sku": "<string>", "compareAtPrice": 123, "quantity": 123 } ], "categories": [ { "id": "<string>", "name": "<string>", "slug": "<string>" } ], "subtitle": "<string>", "description": "<string>", "compareAtPrice": 123, "message": "<string>", "minimumPrice": 123, "maxPerCustomer": 123, "fulfillmentMode": "MANAGED_LICENSE", "availableFrom": "2023-11-07T05:31:56Z", "availableUntil": "2023-11-07T05:31:56Z", "billingInterval": "WEEKLY", "billingAnchor": 123, "trialDays": 123 } }
Documentation IndexFetch the complete documentation index at: https://docs.pandabase.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.pandabase.io/llms.txt
Use this file to discover all available pages before exploring further.
Store ID (shp_ prefix)
Product ID (prd_ prefix)
Product details
Show child attributes